

import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import type.lib.ToolBox;

public class L22App1b2 {
	public static void main(String[] args) throws IOException,
			InterruptedException {
		PrintStream output = System.out;

		// we represent the remote resource in which we are interested
		String theURL = "http://www.cse.yorku.ca/~roumani/jba/ase/se.cgi?hrss=.BB";

		// we construct an object to encapsulate this particular URL
		URL url = new URL(theURL);
		// Obtain a reference to the object that encapsulates the
		// HttpURLConnection to this remote resource, do this is a quick but
		// unsafe way. Don't bother to validate that the server was able to
		// serve up the requested
		// content; assume it did so.
		InputStream htmlInputStream = url.openConnection().getInputStream();
		// since we don't plan to invoke the getResponseCode() method of
		// HttpURLConnection, we don't bother with the manual cast and deal with
		// the URLConnection directly

		// Read the content retrieved by the web server, line by line

		String content = "";
		Scanner dataFromServer = new Scanner(htmlInputStream);
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			content += "\n" + currentLine;
			output.println(currentLine);
		}

	}
}
